package com.qmth.ops.api.controller.binder;

import com.qmth.ops.biz.domain.ConfigFormat;
import org.springframework.format.Formatter;

import java.text.ParseException;
import java.util.Locale;

public class ConfigFormatBinder implements Formatter<ConfigFormat> {

    @Override
    public ConfigFormat parse(String s, Locale locale) throws ParseException {
        return ConfigFormat.findByExtension(s);
    }

    @Override
    public String print(ConfigFormat format, Locale locale) {
        return format.getExtension();
    }
}
